"use client";

import { useSectionInView } from "@/lib/hooks/section-in-view";
import { TSectionName } from "@/lib/types";

type Props = {
  section: TSectionName;
};

export default function ActiveSectionListener({ section }: Props) {
  const { ref } = useSectionInView(section);
  return <div ref={ref} />;
}
