class Config {
  static get apiBaseUrl(): string {
    const url = process.env.NEXT_PUBLIC_API_BASE_URL;
    if (!url) {
      throw new Error('env.NEXT_PUBLIC_API_BASE_URL is not set');
    }

    return url ?? '';
  }
}

export default Config;
